<?php
  $loader = Yab_Loader::getInstance();
  $session = $loader->getSession();
    
  $nom = $sitefouille->get('nom');
  $adresse = $sitefouille->get('adresse');
  $commune = $sitefouille->get('commune');
  $departement = $sitefouille->get('departement');
  
  $query_adresse = $adresse.' '.$commune.' '.$departement.',france' ;
  
  $user_info = $session->get('session') ;
  
  $user_id = $user_info['id'] ;
  /* Bricolage d'un groupe super_admin */
  $login = $user_info['login'] ;
  $is_admin =   ( $login == 'cgicquel' ) ? true : false ;
  
?>

  <div class="col-md-12">    
  <!-- Graphique de liaison des US -->
  <div class="col-md-10"> 
    <?php echo $this->getResponse('Dashboard_Us', 'UsNetwork'); ?>
  </div>
  
  <!-- Widget du nombre des US -->
  <div class="col-md-2">   
    <div class="panel panel-primary">                        
      <div class="panel-heading">                            
        <div class="row">                                
          <div class="col-xs-9 text-left">                                    
            <div>Nombre d'Unit&eacute;s Stratigraphiques</div>                                
          </div>
          <div class="col-xs-3">
            <span class="badge"><div class="huge" id="count_us"></div></span>
          </div>                            
        </div>                        
      </div>                        
      <a href="<?php echo $this->getRequest('Us', 'index'); ?>" target="_blank">
        <div class="panel-footer">                                
          <span class="pull-left">D&eacute;tails</span>                                
          <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>                                
          <div class="clearfix"></div>                            
        </div>
      </a>                    
    </div>
  </div>                

 
  <!-- Widget du nombre des ER -->
  <div class="col-md-2">   
    <div class="panel panel-warning">                        
      <div class="panel-heading">                            
        <div class="row">                                
          <div class="col-xs-9 text-left">                                    
            <div>Nombre d'El&eacute;ments Recueillis</div>                                
          </div>
          <div class="col-xs-3">
            <span class="badge"><div class="huge" id="count_er" ></div></span>
          </div>                            
        </div>                        
      </div>                        
      <a href="<?php echo $this->getRequest('Elementrecueilli', 'index'); ?>" target="_blank" >
        <div class="panel-footer">                                
          <span class="pull-left">D&eacute;tails</span>                                
          <span class="pull-right"><i class="fa fa-arrow-circle-right"></i></span>                                
          <div class="clearfix"></div>                            
        </div>
      </a>                    
    </div>                
  </div>
   
  <?php if($is_admin ):  ?> 
  <!-- Widget Zenphoto Test -->
  <div class="col-md-2">   
    <div class="panel panel-success">                        
      <div class="panel-heading">                            
        <div class="row">                                
          <div class="col-xs-9 text-left">                                    
            <div>Zenphoto Version</div>                                
          </div>
          <div class="col-xs-3"></div>                            
        </div>                        
      </div>                        
      <div class="panel-footer">                                
        <span class="pull-right"><i class="fa fa-arrow-circle-right"></i>
          <div id="zenphoto_version" ></div> 
        </span>                                
        <span class="pull-right"><i class="fa fa-arrow-circle-right"></i>
          <?php 
            if($is_admin ):
              echo $this->getResponse('Dashboard', 'ZenphotoVersion');
            endif;
           ?>   
        </span>
        <div class="clearfix"></div>                            
      </div>
    </div>                
  </div>
  <?php endif;  ?>
</div>

<div class="col-md-12">    

  <!-- Widget du Etat ER -->
  <div class="col-md-5">
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title">El&eacute;ments Recueillis</h3>
      </div>
      <div class="panel-body">
        <div id="dashboard_er_etat">
          <?php 
             echo $this->getResponse('Dashboard_Elementrecueilli', 'etat', array('layout' => false, 'render' => 'pie') ); 
          ?>
        </div>
      </div>      
    </div>
  </div>
  
  <!-- Widget du Statut ER -->
  <div class="col-md-5">
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title">El&eacute;ments Recueillis</h3>
      </div>
      <div class="panel-body">
        <div id="dashboard_er_statut">
          <?php 
             echo $this->getResponse('Dashboard_Elementrecueilli', 'statut', array('layout' => false, 'render' => 'pie') ); 
          ?>
        </div>
      </div>     
    </div>
  </div>
  
  <?php if($is_admin ):  ?>
  
  <div class="col-md-12">
    <div class="panel panel-default">
      <div class="panel-heading">
        <h3 class="panel-title">El&eacute;ments Recueillis</h3>
      </div>
      <div class="panel-body">
        <div id="statut_network">
          <?php
            echo $this->getResponse('Dashboard_Elementrecueilli', 'StatutNetwork', array('layout' => false) );                                        
          ?>
        </div>
      </div>     
    </div>
  </div>
  <?php endif;  ?>  
  
</div>

<script type="text/javascript">
/* Cloud point */
    var network = null;
    var layoutMethod = "hubsize";


  $(document).ready(function(){
    
    // Widget du nombre des US 
    $.ajax({
			type:"POST",
			url: "<?php echo $this->getRequest('Dashboard_Us','Count' ) ; ?>",
			// data: "",
      // onLoading: $("#dashboard-content">").html('<span style="margin-left: 10%;"> <img src="<?php echo $base_url; ?>/images/loading.gif" /></span>'),
			success: function(returnData_us_count){
        $("#count_us").html(returnData_us_count);					
			},
      error: function(xhr, status, error){
      }
		});

    // Widget du nombre des ER 
    $.ajax({
			type:"POST",
			url: "<?php echo $this->getRequest('Dashboard_Elementrecueilli','Count' ) ; ?>",
			data: "",
      // onLoading: $("#dashboard-content">").html('<span style="margin-left: 10%;"> <img src="<?php echo $base_url; ?>/images/loading.gif" /></span>'),
			success: function(returnData_er_count){
        $("#count_er").html(returnData_er_count);					
			},
      error: function(xhr, status, error){
      }
		});

    // Widget Cloud Points des US
    $.ajax({
			type:"POST",
			url: "<?php echo $this->getRequest('Dashboard_Sitefouille','Cloudpoints' ) ; ?>",
			data: "",
      // onLoading: $("#dashboard-content">").html('<span style="margin-left: 10%;"> <img src="<?php echo $base_url; ?>/images/loading.gif" /></span>'),
			success: function(returnData_us_cloud){
        $("#sdf_dot_cloud").html(returnData_us_cloud);					
			},
      error: function(xhr, status, error){
      }
		});

    <?php if($is_admin ):  ?>
    /*
    // Widget Zenphoto Test
    var zenphoto_server = 'localhost/Tests/Applis/zenphoto' ;
    var zenphoto_user = 'fsn' ;
    var zenphoto_password = 'fsn' ;
    var methodName = 'zenphoto.get.version' ;
    var params = '' ; 

    $.ajax({
			type:"POST",
			url: "http://"+zenphoto_user+":"+zenphoto_password+"@localhost/Tests/Applis/zenphoto/plugins/ZenPublisher/ZenRPC.php",
			data: "zenphoto.get.version={}",
      // onLoading: $("#dashboard-content">").html('<span style="margin-left: 10%;"> <img src="<?php echo $base_url; ?>/images/loading.gif" /></span>'),
			success: function(returnData_version){
        $("#zenphoto_version").html(returnData_version);					
			},
      error: function(xhr, status, error){
      }
		});
    */
    <?php endif;  ?>            
    // drawVisualization() ;

  });

</script>